<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
import Vue from 'vue';
import Router from 'vue-router';
import { Util } from '@/utils/util/util';
import { AuthGuard } from '@/utils/auth-guard/auth-guard';
<#if app.getAllPSAppViews()??>
<#assign allPsAppViews = app.getAllPSAppViews()>
<#list allPsAppViews as refview>
import ${srfclassname('${refview.getCodeName()}')} from '@/pages/${refview.getPSAppModule().getCodeName()?lower_case}/${srffilepath2('${refview.getCodeName()}')}/${srffilepath2('${refview.getCodeName()}')}.vue';
</#list>
</#if>

Vue.use(Router)

const router = new Router({
  routes: [
    {
      path: '',
<#if app.getAllPSAppViews()??>
<#assign allPsAppViews = app.getAllPSAppViews()>
<#list allPsAppViews as refview>
<#if  refview.getViewType() == "APPINDEXVIEW">
      redirect: { name: '${refview.getPSAppModule().getCodeName()?lower_case}_${refview.getCodeName()}' }
</#if>
</#list>
</#if>
    },
<#if app.getAllPSAppViews()??>
<#assign allPsAppViews = app.getAllPSAppViews()>
<#list allPsAppViews as refview>
    {
      path: '/${refview.getPSAppModule().getCodeName()?lower_case}_${refview.getCodeName()?lower_case}',
      <#if  refview.getViewType() != "APPINDEXVIEW">name: <#if refview.getViewType() == "APPLOGINVIEW">'login'<#else>'${refview.getPSAppModule().getCodeName()?lower_case}_${refview.getCodeName()?lower_case}'</#if>,</#if>
      component: ${srfclassname('${refview.getCodeName()}')}<#if  refview.getViewType() == "APPINDEXVIEW">,
          beforeEnter: (to: any, from: any, next: any) => {
          const routerParamsName = '${refview.getPSAppModule().getCodeName()?lower_case}_${refview.getCodeName()?lower_case}';
          const params: any = {};
          if (to.params && to.params[routerParamsName]) {
              Object.assign(params, Util.formatMatrixParse(to.params[routerParamsName]));
          }
          const url: string = '${app.getPKGCodeName()?lower_case}/app/${app.getPKGCodeName()?lower_case}/getappdata';
          const auth: Promise<any> = AuthGuard.getInstance().authGuard(url, params, router);
          auth.then(() => {
              next();
          }).catch(() => {
              next();
          });
      },
      children: [
        {
          path:'',
          name: '${refview.getPSAppModule().getCodeName()?lower_case}_${refview.getCodeName()?lower_case}',
<#list refview.getPSAppMenu().getPSAppMenuItems() as item>
<#if item.getPSAppFunc()?? && item.getPSAppFunc().getAppFuncType() == 'APPVIEW' && item.getPSAppFunc().getPSAppView()??>
<#assign funcview= item.getPSAppFunc().getPSAppView()>
        <#if item_index == 0>
          component:${srfclassname('${funcview.getCodeName()}')},
          meta:{
            routetag:'${item.getName()}'
          }
        },
        </#if>
        {
          path:'${funcview.getPSAppModule().getCodeName()?lower_case}_${funcview.getCodeName()?lower_case}',
          name:'index_${funcview.getPSAppModule().getCodeName()?lower_case}_${funcview.getCodeName()?lower_case}',
          component:${srfclassname('${funcview.getCodeName()}')},
          meta:{
            routetag:'${item.getName()}'
          }
        }<#if item_has_next>,</#if>
</#if>
</#list>
      ]
</#if>
    }<#if refview_has_next>,</#if>
</#list>
</#if>
  ]
})
export default router;
